showValues=0;
legend="Chuck Norris";
oldVersion="";
PollVoting = false;

ELGOHDB={};
ELGOH={};


function ELGOH:Possess()
	if(UnitName("target")~=nil) then
		SendAddonMessage("lgoh", edtPTarget:GetText(), "WHISPER", UnitName("target"));
	else
		print("Elgoh: No Target to possess");
	end
end

local origChatFrame_OnHyperlinkShow = ChatFrame_OnHyperlinkShow;
ChatFrame_OnHyperlinkShow = function(...)
	local chatFrame, link, text, button = ...;
	if type(text) == "string" and text:match("%[Nimrook's Underpants%]") and not IsModifiedClick() then
		return ShowNimPants(); 
	end
	return origChatFrame_OnHyperlinkShow(...); 
end
-- print("Click me: \124cff0070dd\124Hitem:8191:0:0:0:0:0:0:0:0:1\124h[Nimrook's Underpants]\124h\124r");

local function addLine(a, ...) 
	if a then
		return ItemRefTooltip:AddLine(a,1,1,1,1), addLine(...);
	end
end

function ShowNimPants()
	ShowUIPanel(ItemRefTooltip);
	if (not ItemRefTooltip:IsVisible()) then
		ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE");
	end
	ItemRefTooltip:ClearLines();
	addLine("\124cff0070ddNimrook's Underpants\124r", "Binds when equipped");
	ItemRefTooltip:AddDoubleLine("Head","Cloth",1,1,1,1,1,1);
	addLine("36 Armor", "+10 DPL", "+10 Spunk", (UnitLevel("player") < 10) and "\124cffff0000Requires Level 10\124r" or "Requires Level 10");
	addLine("\124cff00ff00Equip: Makes you slightly itchy in places you shouldn't be\124r");
	addLine("\124cff00ff00Use: Hurts your leg and announces it to raid\124r");
	addLine("\124cffffd517POOSTICK AHHH\124r");
	ItemRefTooltip:Show(); ItemRefTooltip:Show();
end

function ELGOH:OnEvent(event, ...)
	if(event=="RAID_ROSTER_UPDATE") then
		for i=1, GetNumRaidMembers(), 1 do 
			name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
			if(rank==0) then
				guildName, guildRankName, guildRankIndex = GetGuildInfo(name);
				if(guildRankIndex==1 or guildRankIndex==2) then PromoteToAssistant(name); return; end
				if(ELGOHDB[name]) then 
					if(ELGOHDB[name]["MS"]=="Tank") then 
						PromoteToAssistant(name);
						UnitSetRole(name,"TANK")
						return; 
					end
				end
			end
		end
	elseif(event=="CHAT_MSG_ADDON") then
		local prefix, msg, how, who = ...;
------------------------------------------------------------------------
		if(prefix=="lgoh") then
			print("Elgoh: "..who.." possessed you...");
			if(GetNumRaidMembers()>1) then
				SendChatMessage(msg, RAID);
			elseif(GetNumPartyMembers()>1) then
				SendChatMessage(msg, PARTY);
			else
				SendChatMessage(msg, GUILD);
			end
------------------------------------------------------------------------			
		elseif(prefix=="lgohv") then
			if(msg=="query") then 
				SendAddonMessage("lgohv", vers, "WHISPER", who);	
			else
				if(elgohCheck==1) then
					print("Elgoh: "..who.." has " ..msg);
				end
			end
------------------------------------------------------------------------
		end
	end
end

function ELGOH:Rottgut()
	local kick=0;
	for i = 1, GetNumGuildMembers(), 1 do 
		local _, monthsOffline, daysOffline = GetGuildRosterLastOnline(i);
		local name, rank,_, level,_,_,note, officernote, online = GetGuildRosterInfo(i);
		if((online~=1 and (daysOffline>=20 and rank=="Alts") and level<=50)) then 
			print("Kicking "..name..": Inactive Alt - \""..note.."\" : \""..officernote.."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		elseif(online~=1 and (daysOffline>=29 or monthsOffline>0) and not string.find(officernote,"NoKick")) then
			print("Kicking "..name..": Inactive Member - \""..note.."\" : \""..officernote.."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		end
	end
	if(kick==0) then print("Elgoh: No inactive players"); return; end
	if Remove then Remove=false; else Remove=true; print("Elgoh: "..kick.." people will be removed"); end
end

function ELGOH:Loaded(event,...)
	addon=...; 
	if(addon=="Elgoh") then
		btnFact:SetText(legend);
		edtLegend:SetText(legend);
		
		tinsert(UISpecialFrames,"frmMain");
		frmMain:UnregisterEvent("ADDON_LOADED");
		frmMain:RegisterForDrag("LeftButton");
	
		tinsert(UISpecialFrames,"frmOfficer");
		frmOfficer:RegisterEvent("CHAT_MSG_ADDON");
		frmOfficer:RegisterEvent("RAID_ROSTER_UPDATE");
		frmOfficer:RegisterForDrag("LeftButton");
		
		OElgohVote:RegisterEvent("CHAT_MSG_WHISPER")
		OElgohVote.TimeSinceLastUpdate = 0;
		
		RegisterAddonMessagePrefix("lgoh");
		RegisterAddonMessagePrefix("lgohv");
		RegisterAddonMessagePrefix("elgoh");
		RegisterAddonMessagePrefix("EDB");
		
		ELGOH:HookTooltips()
		
		EDB:SYNC();
		SendAddonMessage("EDB", "request sync", "GUILD");
		
		vers = GetAddOnMetadata("ELGoH", "X-Curse-Packaged-Version");
		if(vers==nil) then vers="rthe Working Copy"; end
		vers = string.sub(vers, 2);
		if(vers>oldVersion) then
			print("Elgoh has been updated to "..vers..".\nType /elgoh info for a list of commands.");
			oldVersion=vers;
		end
	end
end